//
//  MoreApplicationsHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/9/21.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "MoreApplicationsHttpCmd.h"
#import "MoreApplicationsHttpResult.h"
static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";

@implementation MoreApplicationsHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MoreApplicationsHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MoreApplicationsHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpMoreApplicationsHttpCmd_orderby = @"orderby";
NSString *const kHttpMoreApplicationsHttpCmd_pageNum = @"pageNum";
NSString *const kHttpMoreApplicationsHttpCmd_pageSize = @"pageSize";
NSString *const kHttpMoreApplicationsHttpCmd_sort = @"sort";
NSString *const kHttpMoreApplicationsHttpCmd_filters = @"filters";
NSString *const kHttpMoreApplicationsHttpCmd_value = @"value";
NSString *const kHttpMoreApplicationsHttpCmd_attr = @"attr";
NSString *const kHttpMoreApplicationsHttpCmd_empid = @"empid";
